class Drikke implements DrikkBar {
    protected double max;
    protected double innhold;

    public Drikke(double max) {
        this.max = max;
        this.innhold = max;
    }

    @Override
    public void fyllOpp() {
        innhold = max;
    }
    
    @Override
    public void drikkGlass() {
        if (innhold < 2) {
            innhold = 0;
        } else {
            innhold -= 2;
        }
    }
    
    @Override
    public String toString() {
        return "Saa mye igjen av drikken: " + innhold;
    }
}
