public class Kjeden {

    static interface Planteeter {
        void beskytteSeg();
    }

    static interface Rovdyr {
        void jakt();
    }


    static class Sau implements Planteeter {
        @Override
        public void beskytteSeg() {
            System.out.println("Sauen loper");
        }
    }

    static class Elg implements Planteeter {
        @Override
        public void beskytteSeg() {
            System.out.println("Elgen stanger angriperen");
        }
    }

    static class Ulv implements Rovdyr {
        @Override
        public void jakt() {
            System.out.println("Ulven jakter");
        }
    }

    static class Bjorn implements Planteeter, Rovdyr {
        public void beskytteSeg() {
            System.out.println("Bjornen klorer angriperen");
        }

        public void jakt() {
            System.out.println("Bjornen jakter");
        }
    }

        public static void main(String[] a) {
            Rovdyr[] r = new Rovdyr[2];
            Planteeter[] p = new Planteeter[3];

            r[0] = new Ulv();
            r[1] = new Bjorn();

            p[0] = new Sau();
            Planteeter elg = new Elg();
            p[1] = elg;

            p[2] = (Planteeter) r[1];

            System.out.println("Alle Rovdyr:");
            for (Rovdyr ro : r) {
                ro.jakt();
            }
            System.out.println();
            System.out.println("Alle planteetere:");
            for (int i = 0; i < p.length; i++) {
                p[i].beskytteSeg();
            }

        }
    
}
